html {
  font-size: 62.5%;
  box-sizing:border-box ;
}
*,
*::after,
*::before {
    box-sizing: inherit;
}


.roboto-mono- {
  font-family: "Roboto Mono", monospace;
  font-optical-sizing: auto;
  font-style: normal;
}

:root {
  --color-bg: #171717;
  --color-surface: #444444;
  --color-accent: #DA0037;
  --color-text: #EDEDED;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 2rem;
}


body {
    background-color: var(--color-bg);
    color: var(--color-text);
    font-family: "Roboto Mono", monospace;
    font-optical-sizing: auto;
    font-style: normal;
    margin: 0;
    padding: 0;
}

/* HEADER AND NAV */
.header{
}
.nav{
}
.nav_content{
    padding: 2rem 1rem 1rem 1rem;
    display: flex;
    justify-content: space-between;
    align-items:center ;
    box-shadow: var(--color-surface) 0 .2rem 0;
}
.nav_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav_logo_img{
    height: 5rem;
    width: 5rem;
}
.nav_buttons{

}
.nav_list{
    list-style: none;
    display: flex;
    align-items:center ;
    padding: 0;
}
.nav_item{
    padding-left: 3rem;
}
.nav_button{
    font-size: 1.8rem;
    color: var(--color-text);
}
.nav_button--shows{
    color: var(--color-accent);
}


/* MAIN - HERO */
.main{

}
.hero{
    padding: 4rem 0 2rem 2rem;
}
.currently{
    padding: 2em 0 2rem 2rem;
}
.shows{
    padding: 2rem 0 4rem 2rem;
}
.main_contect{

}
.main_title{
    font-size: 2.4rem;

}
.main_description{
    font-size: 1.8rem;
        margin-bottom: 0;
}
.shows_button{
    color: var(--color-accent);

}

/* FOOTER */

.footer{

}
.footer_content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    box-shadow: var(--color-surface) 0 -.2rem 0;
}
.footer_nav{

}
.footer_nav_list{
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.footer_nav_item{
    padding: 0 1rem  ;
}
.footer_nav_link{
    color: var(--color-text);
    font-size: 1.6rem;

}
.copyrights{

}
.copyright{
    font-size:1.4rem;
}



/* SHOWS PAGE */

.my_shows{

}
.shows_about{
    padding: 4rem 0 2rem 2rem;
}
.shows_about_title{
    font-size: 2.4rem;
}
.shows_about_description{
    font-size: 1.8rem;

}
.shows_about_description--long{
    line-height: 1.8;
}
.shows_list{
    display: grid;
    grid-template-columns: 1fr;
    padding: 1rem 1rem 4rem 1rem ;
}
.shows_item{
    display: grid;
    grid-template-columns: 2fr repeat(3, 1fr);
    align-items: center;
    color: var(--color-text);
    box-shadow: var(--color-surface) 0 .2rem 0;
}
.shows_item:last-child{
    box-shadow: none;
}
.shows_item:hover{
    color: var(--color-accent);
    transition: all 300ms ease-in-out;
}
.shows_title{
    font-size: 1.8rem;
}
.shows_status{
    font-size: 1.4rem;
    text-align: right;
}
.shows_imdb{
    font-size: 1.4rem;
    text-align: right;
}
.shows_myrate{
    font-size: 1.4rem;
    text-align: right;
}

/* Show page */
.show{
    padding: 4rem 1rem;
}
.back_button{
    font-size: 1.8rem;
    color: var(--color-text);
    display: block;
    padding-bottom: 4rem;
}
.back_button--red{

}
.show_content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}
.show_cover{
}
.show_cover_img{
    max-height: 42rem;
    max-width: 28rem;
    object-fit: cover;
}
.show_info{

}
.show_title{
    font-size: 3.4rem;
}
.show_status{
    font-size: 1.8rem;
}
.show_imdb{
    font-size: 1.8rem;
}
.show_myrate{
    font-size: 1.8rem;
}
.show_seasons{
    font-size: 1.8rem;
}
.show_episodes{
    font-size: 1.8rem;
}
.show_imdb_link{
    padding: 1rem 0;
    font-size: 1.8rem;
    color: var(--color-accent);
}
.show_about{

}
.show_about_title{
    font-size: 2.8rem;
}
.show_about_text{
    font-size: 1.8rem;
    line-height: 1.5;
    height: 14rem;
}


@media (max-width: 576px) {
    .container{
        max-width: 100%;
    }
    .nav_logo_img{
        height: 4rem;
        width: 4rem;
    }
    .nav_button{
        font-size: 1.6rem;

    }
    .hero{
        padding: 2rem;
    }
    .currently{
        padding: 0 2rem;
    }
    .shows{
        padding: 2rem;
    }
    .main_title{
        font-size: 2rem;

    }
    .main_description{
        font-size: 1.6rem;
    }
    .footer_content{
        display: flex;
        flex-direction: column;
    }
    .footer_nav_link{
        font-size: 1.4rem;
    }
    .copyright{
        font-size:1.2rem;
    }

    .shows_about{
        padding: 2rem;
    }
    .shows_about_title{
        font-size: 2rem;
    }
    .shows_about_description{
        font-size: 1.6rem;

    }
    .shows_item{
        grid-template-columns: repeat(3, 1fr);
        grid-auto-rows: 4rem;
        text-align: center;
        padding: 1rem 0;
    }
    .shows_title{
        grid-column-start: 1;
        grid-column-end: 4;
        font-size: 1.6rem;
    }
    .shows_status{
        font-size: 1.4rem;
        text-align: center;
    }
    .shows_imdb{
        font-size: 1.4rem;
        text-align: center;
    }
    .shows_myrate{
        font-size: 1.4rem;
        text-align: center;
    }

    .show{
        padding: 2rem 1rem;
    }
    .back_button{
        font-size: 1.6rem;
        color: var(--color-text);
        display: block;
        padding-bottom: 2rem;
    }
    .show_content{
        grid-template-columns: 1fr;
    }
    .show_cover{
        text-align: center;
    }
    .show_info{
        text-align: center;
        padding-top: .5rem ;
    }
    .show_title{
        font-size: 2.6rem;
    }
    .show_status{
        font-size: 1.6rem;
    }
    .show_imdb{
        font-size: 1.6rem;
    }
    .show_myrate{
        font-size: 1.6rem;
    }
    .show_seasins{
        font-size: 1.6rem;
    }
    .show_episodes{
        font-size: 1.6rem;
    }
    .show_about{
        text-align: center;
        padding-bottom: 1rem ;
    }
    .show_about_title{
        font-size: 2rem;
    }
    .show_about_text{
        font-size: 1.6rem;
        height: auto;
    }
}
